Nate,

You were right: I was using Python 2.4; should have checked. 

I changed the symlink in /opt/galaxy-python to point at a compiled version of 
Python 2.7. I then ran the run.sh script, only to get the same errors again. 

I've even tried Python 3.2. Any clues? I run ROCKS 5.3.

Thanks!
Nikhil


On Sep 2, 2011, at 12:43 PM, Nate Coraor wrote:

> IT Support wrote:
>> Greetings,
>> 
>> I attempted to install Galaxy on a ROCKS 5.3 cluster. I checked out Galaxy 
>> to a location commonly accessible by all analysis nodes. I then set the path 
>> to Python 2.7 like so:
>> 
>> export PATH=/opt/galaxy-python/python:$PATH
>> 
>> However, executing run.sh gives me the error at the end of this message. The 
>> strange thing is that Galaxy runs fine on a CentOS 5.6 virtual machine.
>> 
>> Any help would be much appreciated. Thanks! 
> 
> Hi,
> 
> It looks despite adjusting $PATH, you're still getting Python 2.4.
> $PATH should point to the directory which contains the `python` binary,
> could this be:
> 
>    /opt/galaxy-python/python/bin ?
> 
> --nate
> 
>> 
>> -----
>> 
>> Traceback (most recent call last):
>>  File "./scripts/paster.py", line 34, in ?
>>    command.run()
>>  File 
>> "/opt/galaxy-dist/eggs/PasteScript-1.7.3-py2.4.egg/paste/script/command.py", 
>> line 84, in run
>>    invoke(command, command_name, options, args[1:])
>>  File 
>> "/opt/galaxy-dist/eggs/PasteScript-1.7.3-py2.4.egg/paste/script/command.py", 
>> line 123, in invoke
>>    exit_code = runner.run(args)
>>  File 
>> "/opt/galaxy-dist/eggs/PasteScript-1.7.3-py2.4.egg/paste/script/command.py", 
>> line 218, in run
>>    result = self.command()
>>  File 
>> "/opt/galaxy-dist/eggs/PasteScript-1.7.3-py2.4.egg/paste/script/serve.py", 
>> line 276, in command
>>    relative_to=base, global_conf=vars)
>>  File 
>> "/opt/galaxy-dist/eggs/PasteScript-1.7.3-py2.4.egg/paste/script/serve.py", 
>> line 311, in loadapp
>>    return loadapp(
>>  File 
>> "/opt/galaxy-dist/eggs/PasteDeploy-1.3.3-py2.4.egg/paste/deploy/loadwsgi.py",
>>  line 204, in loadapp
>>    return loadobj(APP, uri, name=name, **kw)
>>  File 
>> "/opt/galaxy-dist/eggs/PasteDeploy-1.3.3-py2.4.egg/paste/deploy/loadwsgi.py",
>>  line 225, in loadobj
>>    return context.create()
>>  File 
>> "/opt/galaxy-dist/eggs/PasteDeploy-1.3.3-py2.4.egg/paste/deploy/loadwsgi.py",
>>  line 625, in create
>>    return self.object_type.invoke(self)
>>  File 
>> "/opt/galaxy-dist/eggs/PasteDeploy-1.3.3-py2.4.egg/paste/deploy/loadwsgi.py",
>>  line 110, in invoke
>>    return fix_call(context.object, context.global_conf, **context.local_conf)
>>  File 
>> "/opt/galaxy-dist/eggs/PasteDeploy-1.3.3-py2.4.egg/paste/deploy/util/fixtypeerror.py",
>>  line 57, in fix_call
>>    val = callable(*args, **kw)
>>  File "/opt/galaxy-dist/lib/galaxy/web/buildapp.py", line 90, in app_factory
>>    add_controllers( webapp, app )
>>  File "/opt/galaxy-dist/lib/galaxy/web/buildapp.py", line 39, in 
>> add_controllers
>>    module = __import__( module_name )
>>  File "/opt/galaxy-dist/lib/galaxy/web/controllers/admin.py", line 310
>>    link=( lambda item: (dict( operation="Manage users and groups", 
>> id=item.id, webapp="galaxy" ) if not item.default else dict( 
>> operation="Change amount", id=item.id, webapp="galaxy" )) ),
>> 
>> -----
>> 
>> 
>> 
>> ___________________________________________________________
>> Please keep all replies on the list by using "reply all"
>> in your mail client.  To manage your subscriptions to this
>> and other Galaxy lists, please use the interface at:
>> 
>>  http://lists.bx.psu.edu/


___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:

  http://lists.bx.psu.edu/

Reply via email to